Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class UserInterfaceProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.UserInterfaceProperty

public class UserInterfaceProperty
extends ObjectProperty

An enumerated type used to describe the properties of User Interfaces in the portal. User Interfaces support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static UserInterfaceProperty` | `DTDURL` An optional DTD describing the markup type that is expected for this User Interface.
`static UserInterfaceProperty` | `UniqueID` The unique ID that identifies this User Interface.
`static UserInterfaceProperty` | `URL` The URL for the User Interface.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UniqueID

    public static final UserInterfaceProperty UniqueID

  The unique ID that identifies this User Interface. This is the string sent to Portlets.

### URL

    public static final UserInterfaceProperty URL

  The URL for the User Interface.

### DTDURL

    public static final UserInterfaceProperty DTDURL

  An optional DTD describing the markup type that is expected for this User Interface. Note: A DTD is a Document Type Definition; this is a file describing the format of the applicable markup.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.